delete
/v9/storage/virtual-servers/{virtualServerId}/virus-scan/inclusion-list
Clear all values from the virus scan inclusion list for a virtual server. Clearing the inclusion list will also ensure virus scanning is set to scan all file types, otherwise no files will be scanned.
Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.
Path parameters
virtualServerId
required
Either the virtual server ID or the object ID of the virtual server
Either the virtual server ID or the object ID of the virtual server
CLIENT REQUEST
curl -X 'DELETE'
-H "X-Subsystem-User: [[apiKey]]"
\
-H "X-Subsystem-Password: [[apiKey]]"
\
-H "X-Api-Key: [[apiKey]]"
\
-H "Authorization: Basic [[basicHash]]"
\
-H
'Accept: application/json'
'https://172.27.146.40:8444/v9/storage/virtual-servers/{virtualServerId}/virus-scan/inclusion-list'
import http.client
conn = http.client.HTTPSConnection("172.27.146.40:8444")
headers = { 'Authorization': "Basic REPLACE_BASIC_AUTH" }
conn.request("DELETE", "/v9/storage/virtual-servers/1/virus-scan/inclusion-list", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://172.27.146.40:8444/v9/storage/virtual-servers/1/virus-scan/inclusion-list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic REPLACE_BASIC_AUTH'
response = http.request(request)
puts response.read_bodyconst data = null;
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("DELETE", "https://172.27.146.40:8444/v9/storage/virtual-servers/1/virus-scan/inclusion-list");
xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
xhr.send(data);HttpResponse<String> response = Unirest.delete("https://172.27.146.40:8444/v9/storage/virtual-servers/1/virus-scan/inclusion-list")
.header("Authorization", "Basic REPLACE_BASIC_AUTH")
.asString();import Foundation
let headers = ["Authorization": "Basic REPLACE_BASIC_AUTH"]
let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/virtual-servers/1/virus-scan/inclusion-list")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8444",
CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/virtual-servers/1/virus-scan/inclusion-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic REPLACE_BASIC_AUTH"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "DELETE");
curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/virtual-servers/1/virus-scan/inclusion-list");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://172.27.146.40:8444/v9/storage/virtual-servers/1/virus-scan/inclusion-list");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
IRestResponse response = client.Execute(request);Responses